## org.apache.myfaces.renderkit.html.util
Class DummyFormResponseWriterWrapper

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.apache.myfaces.context.ResponseWriterWrapper
                  org.apache.myfaces.renderkit.html.util.DummyFormResponseWriterWrapper

All Implemented Interfaces:
  DummyFormResponseWriter

public class DummyFormResponseWriterWrapper
extends ResponseWriterWrapper
implements DummyFormResponseWriter

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Field Summary

Fields inherited from class org.apache.myfaces.context.ResponseWriterWrapper
`_responseWriter`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`DummyFormResponseWriterWrapper(javax.faces.context.ResponseWriter responseWriter)`

Method Summary
`void` `addDummyFormParameter(java.lang.String paramName)` Adds a parameter that will be rendered as a hidden input within the dummy form.
`javax.faces.context.ResponseWriter` `cloneWithWriter(java.io.Writer writer)`
`void` `endDocument()`
`java.lang.String` `getDummyFormName()`
`void` `setWriteDummyForm(boolean writeDummyForm)` Switch on/off the writing of a dummy form in endDocument.

Methods inherited from class org.apache.myfaces.context.ResponseWriterWrapper
`close, endElement, flush, getCharacterEncoding, getContentType, startDocument, startElement, write, write, write, write, write, writeAttribute, writeComment, writeText, writeText, writeURIAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyFormResponseWriterWrapper

    public DummyFormResponseWriterWrapper(javax.faces.context.ResponseWriter responseWriter)

Method Detail

### cloneWithWriter

    public javax.faces.context.ResponseWriter cloneWithWriter(java.io.Writer writer)

  Specified by:
    `cloneWithWriter` in class `ResponseWriterWrapper`

### endDocument

    public void endDocument()
                     throws java.io.IOException

  Overrides:
    `endDocument` in class `ResponseWriterWrapper`
  Throws:
    `java.io.IOException`

### setWriteDummyForm

    public void setWriteDummyForm(boolean writeDummyForm)

  Description copied from interface: `DummyFormResponseWriter`
  Switch on/off the writing of a dummy form in endDocument.

  Specified by:
    `setWriteDummyForm` in interface `DummyFormResponseWriter`
  Parameters:
    `writeDummyForm` -

### getDummyFormName

    public java.lang.String getDummyFormName()

  Specified by:
    `getDummyFormName` in interface `DummyFormResponseWriter`
  Returns:
    name of the dummy form, that will be rendered

### addDummyFormParameter

    public void addDummyFormParameter(java.lang.String paramName)

  Description copied from interface: `DummyFormResponseWriter`
  Adds a parameter that will be rendered as a hidden input within the dummy form.

  Specified by:
    `addDummyFormParameter` in interface `DummyFormResponseWriter`